Skip to main content
DELETE
/
api
/
v2
/
public
/
tables
/
:table_id
/
:record_id
curl -X DELETE "https://app.refold.ai/api/v2/public/tables/{table_id}/{record_id}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID"
{
  "record_id": "02cd01ca-c09f-4f91-893d-222ab529f585",
  "email": "jane@example.com",
  "stage": "new"
}
Delete a single record from a persistent table by its record_id. Returns the deleted record.

Authentication

x-api-key
string
required
Your Refold API key.
linked_account_id
string
required
The linked account that owns the table.

Path Parameters

table_id
string
required
The table ID.
record_id
string
required
The record ID to delete (from Get Records).

Response

Returns the deleted record.
{
  "record_id": "02cd01ca-c09f-4f91-893d-222ab529f585",
  "email": "jane@example.com",
  "stage": "new"
}
curl -X DELETE "https://app.refold.ai/api/v2/public/tables/{table_id}/{record_id}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID"